For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get KYB Status

Get the current status of KYB verification

Get the current KYB verification status.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/kyb/status

Whenever kybStatus(data.status) is FAILED, a new submissionId returned to create new kyb submission.

Request Body

Name
Type
Description

customerId*

String

Unique id received from /kyc/url

submissionId*

String

Unique user id received from /kyb

{
    "status": 1,
    "code": 200,
    "data": {
        "status": "COMPLETED",
        "submissionId": "vwL8su0HHL_57",
        "updatedAt": "2023-10-07T14:26:31.000Z"
    }
}

{
    "status": 1,
    "code": 200,
    "data": {
        "status": "FAILED",
        "submissionId": "vwL8su0HHL_57",
        "updatedAt": "2023-10-07T14:26:31.000Z"
    }
}
  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • data.status -> current kybStatus can be

    • COMPLETED (kyb verification is successfull)

    • FAILED (kyb verification is rejected)

    • IN_REVIEW (kyb verification is under process)

    • UPDATE_REQUIRED (need more data for kyb verification)

  • updatedAt -> time when kyb status is updated.

  • submissionId -> unique Id for Kyb data submission

  • In FAILED status, there will be new submissionId for new submission of kyb data.

Last updated